Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::cycled_view< Rng, bool > Struct Template Reference
Views

## Public Member Functions
| cycled_view (Rng rng)

## Constructor & Destructor Documentation

## ◆ cycled_view()

template<typename Rng , bool >

ranges::cycled_view< Rng, bool >::cycled_view | ( | Rng | rng | ) |
| explicit

Precondition
  `!empty(rng)`